%Example 10-8 Decay in a Straight-Through Transport Reactor 
clear
clc
close all
zspan = [0 10]; % Range for the time of the reaction 
y0 = [0]; % Initial values for the dependent variables 
[z y]=ode45(@ODEfun,zspan,y0);
Uo = 2.5; 
eps = 1; 
A = 7.6;
m=size(y);
for i=1:m
U(i) = Uo*(1+eps*y(i,1)); 
a(i) = 1/(1+A*(z(i)/U(i))^0.5);
end
plot(z,y(:,1),z,a)
 legend('X','a')
 xlabel('z(m)')
